Subject: Re: [Sip] Open Issue #179: Multicast to unicast REGISTER

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 07 Jan 2002 17:18:36 -0500

There being no further comments, I consider this issue closed. We will 
use 302 with the proposed text below.

-Jonathan R.

Jonathan Rosenberg wrote:

> There have been no comments on this proposal. However, I'd like to amend
> 
> the proposal. I think 302 is more appropriate, in fact. In that case, 
> the same proposal as below holds, but replace 301 with 302. The caching 
> would only apply when an Expires header is present.
> 
> Comments?
> 
> -Jonathan R.
> 
> Jonathan Rosenberg wrote:
> 
> 
>>Issue:
>>
>>The spec allows for clients to multicast their registrations.
>>
> Presumably,
> 
>>refreshes are also sent multicast. Sometimes this is the right thing,
>>
> but if
> 
>>the purpose of multicast REGISTER is just discovery, the client should
>>probably unicast after it discovers, and then revert to multicast
>>
> again only
> 
>>if that server becomes unavailable. However, the spec is silent on
>>
> this
> 
>>case. Should we discuss?
>>
>>Discussion points:
>>
>>A 301 can be sent by the registar, providing a unicast address (this
>>
> is only
> 
>>now possible in bis-05 due to the new multicast treatment). However,
>>
> the 301
> 
>>would be cached indefinitely at the client, and its not clear what the
>>behavior is for cached redirects on failure. If we specify that it
>>
> retries
> 
>>the original request that generated the 3xx, then the registrar has a
>>mechanism it can use.
>>
>>Proposal:
>>
>> * add text to 301 section saying that if a cached contact fails, try
>>
> the
> 
>>original URI again
>>
>> * add text in the registration section, mentioning that this is a
>>
> useful
> 
>>thing to do. Otherwise, people may not be prepared to have their
>>registrations redirected, even though the spec does allow it.
>>
>>-Jonathan R.
>>
>>---
>>Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
>>Chief Scientist                             First Floor
>>dynamicsoft                                 East Hanover, NJ 07936
>>[email-masked]                     FAX:   (973) 952-5050
>>http://www.jdrosen.net                      PHONE: (973) 952-5000
>>http://www.dynamicsoft.com
>> 
>>
>>_______________________________________________
>>Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
>>This list is for NEW development of the core SIP Protocol
>>Use [email-masked] for questions on current sip
>>Use [email-masked] for new developments on the application of sip
>>
>>
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip